Linux 作業系統核心 4.6.3/4.6-pf1 版軟體包 [論壇 - Ubuntu 與工具程式及軟體推薦]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



Linux 作業系統核心 4.6.3/4.6-pf1 版軟體包
會員二級
註冊日期:
2016/2/24 19:05
所屬群組:
已註冊使用者
等級: 5
HP : 0 / 114
MP : 15 / 1032
EXP: 59
離線
## 簡介 ##
 *此為無(除搭配 GCC 編譯器設定修正以支援最佳化版外)修正 Linus Torvalds 上游版本(俗稱香草(vanilla)/主線(mainline)版)跟套用 pf-kernel 修正之版本,搭配 Ubuntu 16.04 建構設定
 *跟 Ubuntu 作業系統核心有所不同,**由於缺少 Ubuntu 方的修正使用此版本可能會導致系統安全性一定程度下降**
 *安裝最佳化版前請先確定您的電腦是否有相容該版本對應之處理器指令集
 *由 Ubuntu 或第三方軟體來源提供之 Linux 作業系統核心來源碼樹外驅動可能會不相容本軟體
 *Ubuntu 與 Canonical 有限公司 **不會**維護本軟體之資訊安全問題,請自行檢查使用本軟體是否有資訊安全風險

## 軟體下載連結 ##
 *主線版:https://mega.nz/#F!Al8jxTqD!25idUafqcl5yDdHiXV8s0A
 *pf-kernel 版:https://mega.nz/#F!d1FGAKzQ!5vxNwPOlaO2xPud146MCxQ

## 建構程式 ##
https://github.com/Lin-Buo-Ren/Lin_Buo_Ren_s_New_Release_Version_Linux_Kernel

## 來源 ##
 *Linux 作業系統核心官方網站
  https://www.kernel.org/
 *pf-kernel 官方網站
  https://pf.natalenko.name/

附件:



gif  logo.gif (15.95 KB)
44864_57805614a208b.gif 257X303 px

2016/7/9 9:37
應用擴展 工具箱
回覆: Linux 作業系統核心 4.6.3/4.6-pf1 版軟體包
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 3870
EXP: 22
離線
這是你自己編譯的嗎?

主線版裝在Debian無法啟動

另外..... 五本兔官方的Patch 不代表系統一定穩定...

因為用他的核心 4.4.0版 在我的機器螢幕關閉後 有時會回不來....

SO...五本兔目前我已經棄養

2016/7/13 23:24
應用擴展 工具箱
回覆: Linux 作業系統核心 4.6.3/4.6-pf1 版軟體包
會員二級
註冊日期:
2016/2/24 19:05
所屬群組:
已註冊使用者
等級: 5
HP : 0 / 114
MP : 15 / 1032
EXP: 59
離線
姜至奐 寫到:
主線版裝在Debian無法啟動

請確定您安裝的版本與硬體指令集相容,不確定的話請用 generic 版本

姜至奐 寫到:
另外..... 五本兔官方的Patch 不代表系統一定穩定...

因為用他的核心 4.4.0版 在我的機器螢幕關閉後 有時會回不來....

請到 Launchpad 對 linux 軟體包建檔軟體缺陷報告

2016/7/13 23:35
應用擴展 工具箱
回覆: Linux 作業系統核心 4.6.3/4.6-pf1 版軟體包
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 3870
EXP: 22
離線
林博仁 寫到:
姜至奐 寫到:
主線版裝在Debian無法啟動

請確定您安裝的版本與硬體指令集相容,不確定的話請用 generic 版本

請到 Launchpad 對 linux 軟體包建檔軟體缺陷報告


不僅核心連驅動都有問題 眾所皆知的 NVIDIA Optimus

五本兔我已經棄養了, 讓它自生自滅了

照理說 既然是Linux官方的主線版 那應該任何發行版都能用...

Haswell的CPU 我當然是試裝 Haswell 版本的


一樣4.6.3 我的是自編譯debian版本 只是調CPU頻率而已.


只是不知道你的這個最佳化是加哪些Patch

2016/7/14 0:05
應用擴展 工具箱
回覆: Linux 作業系統核心 4.6.3/4.6-pf1 版軟體包
會員二級
註冊日期:
2016/2/24 19:05
所屬群組:
已註冊使用者
等級: 5
HP : 0 / 114
MP : 15 / 1032
EXP: 59
離線
姜至奐 寫到:
照理說 既然是Linux官方的主線版 那應該任何發行版都能用...

Haswell的CPU 我當然是試裝 Haswell 版本的

我現在正在用 Haswell 版本發表回應,Intel® Core™ i5-4460 CPU 正常啟動
試試看比較低階的版本(Ivybridge)?

姜至奐 寫到:
只是不知道你的這個最佳化是加哪些Patch

這個:
graysky2/kernel_gcc_patch: Kernel patch enables gcc optimizations for additional CPUs.
https://github.com/graysky2/kernel_gcc_patch/

2016/7/14 1:39
應用擴展 工具箱
回覆: Linux 作業系統核心 4.6.3/4.6-pf1 版軟體包
會員四級
註冊日期:
2015/9/29 21:19
所屬群組:
已註冊使用者
等級: 16
HP : 0 / 380
MP : 100 / 3870
EXP: 22
離線
林博仁 寫到:

這個:
graysky2/kernel_gcc_patch: Kernel patch enables gcc optimizations for additional CPUs.
https://github.com/graysky2/kernel_gcc_patch/


這個 Patch 內容並不多
我看還是自己添加, 自己編譯好了.

只是我有個疑問
kernel_gcc_patch 裡面的 Haswell 項目有包含 Haswell-ULT處理器嗎

2016/7/14 6:59
應用擴展 工具箱
回覆: Linux 作業系統核心 4.6.3/4.6-pf1 版軟體包
會員二級
註冊日期:
2016/2/24 19:05
所屬群組:
已註冊使用者
等級: 5
HP : 0 / 114
MP : 15 / 1032
EXP: 59
離線
姜至奐 寫到:
只是我有個疑問
kernel_gcc_patch 裡面的 Haswell 項目有包含 Haswell-ULT處理器嗎

應該要有才對

2016/7/14 8:57
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.